import * as core from "@terrascript/core";

export interface DsDxLocationsArgs {}

export class DsDxLocations extends core.Data<DsDxLocationsArgs> {
  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String, { computed: true, kind: "array" })
  public locationCodes!: core.Array<string> | core.ArrayOut<core.StringOut>;

  constructor(name: string, args?: DsDxLocationsArgs) {
    super(name, "aws_dx_locations", args);
  }

  public override getNamespace(): string {
    return "aws_direct_connect";
  }
}
